Subject: [lisp] another interesting comment from Noel on naming...

From: David Meyer <[email-masked]>
Date: Fri, 16 Jan 2009 09:48:54 -0800

----- Forwarded message from Noel Chiappa <[email-masked]> -----

> From: Noel Chiappa <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [rrg] No liveness requirement in the ID/Loc Split concept
> Date: Fri, 16 Jan 2009 12:26:48 -0500 (EST)
> 
>     > From: [email-masked] (Noel Chiappa)
> 
>     > a LISP EID does _not_ name an interface, but rather a 'stack' - i.e. an
>     > endpoint, with a collection of TCP connections.
> 
> A private reply pointed out that a LISP EID in fact _also_ names an
> interface, just like an IPv4 address. That's a consequence of the fact that a
> LISP design goal was to allow unmodified hosts, so one can only change the
> semantics of existing namespaces a little.
> 
> 
> Interesting historical note: the Nimrod deployment plan:
> 
>   http://ana-3.lcs.mit.edu/~jnc/nimrod/deploy.txt
> 
> looked a lot like LISP's deployment plan - the existing IP layer was 'jacked
> up' and a new layer inserted underneath; unmodified hosts were unaware that
> this all was happening, and continued to emit and receive classic IPv4
> packet; Nimrod agent-routers were responsible for invisibly translating the
> IPv4 'addresses' in those packets into Nimrod locators, and doing the
> encapsulation. Although the Nimrod deployment plan spoke of turning IPv4
> 'addresses' into endpoint names (EIDs, to be exact - ironically), it's clear
> that there, IPv4 addresses also retained minimal interface naming semantics.
> 
> 
> It's almost inevitable, in any plan which supports unmodified hosts, that
> the IPvN addresses used by those hosts will retain the basic semantics of
> IPvN addresses.
> 
> 	Noel
> _______________________________________________
> rrg mailing list
> [email-masked]
> http://www.irtf.org/mailman/listinfo/rrg

----- End forwarded message -----
_______________________________________________
lisp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lisp